<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Управление</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <link href="https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-fileinput@5.2.5/css/fileinput.min.css" media="all" rel="stylesheet" type="text/css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <div class="container-fluid justify-content-between">
        <a class="navbar-brand fw-bold" href="contract_list.html"><img src="logo.png" width="65px" height="65px" class="me-2">Фидес</a>
        <div class="ms-5">Управление</div>
        <div class="collapse navbar-collapse justify-content-end" id="navbarNav">
            <span class="navbar-text">
                
            </span>
        </div>
      </div>
    </nav>
    <div class="card">
        <div class="card-body">
            <h6 class="text-center">Сотрудники</h6>
            <div class = "container pt-4">
                <div class = "table-responsive table-editable">
                    <table class="table table-bordered table-responsive-md text-center table-hover" id="tableOfEmployees">
                        <thead>
                        <tr>
                            <th class="text-center">Должность</th>
                            <th class="text-center">Сотрудник</th>
                            <th class="text-center">Почта</th>
                            <th class="text-center">Администратор</th>
                            <th class="text-center">Действия</th>
                        </tr>
                        </thead>
                        <tbody id = "employeesTableBody">
                            
                            
                        </tbody>
                    </table>
                </div>
                <div class="text-center"><button class="btn btn-success me-2" type="button" data-bs-toggle="modal" data-bs-target="#addEmployee" >Добавить сотрудника</button></div>
                <div class="modal fade" id="addEmployee" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                  <div class="modal-dialog">
                    <div class="modal-content">
                    <form id="formAddEmployee">
                      <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Добавить сотрудника</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                      </div>
                      <div class="modal-body">
                        <div class="mb-3">
                        <input type="text" class="form-control" id="inputNewEmployeeDepartment" name="newEmployeeDepartment" placeholder="Должность">
                        </div>
                        <div class="mb-3">
                        <input type="text" class="form-control" id="inputNewEmployeeName" name="newEmployeeName" placeholder="ФИО">
                        </div>
                        <div class="mb-3">
                        <input type="email" class="form-control" id="inputNewEmployeeEmail" name="newEmployeeEmail" placeholder="Почта">
                        </div>
                        <div class="mb-3">
                            <div class="input-group-text justify-content-between">
                            <input class="form-check-input mt-0" type="checkbox" value="" aria-label="checkboxIsAdmin" name="isAdminFlag">
                            <label>Администратор</label>
                            </div>
                        </div>
                      </div>
                      <div class="modal-footer">
                        <button type="button" class="btn btn-success" onclick="addEmployee()" data-bs-dismiss="modal" aria-label="Close">Добавить</button>
                      </div>
                    </form>
                    </div>
                  </div>
                </div> 
            </div>
        </div>
    </div>
    <div class="card">
    <div class="card-body">
        <h6 class="text-center">Типовые маршруты согласования</h6>
        <div class = "container pt-4">
            <div class = "table-responsive table-editable">
                <table class="table table-bordered table-responsive-md text-center table-hover" id="tableOfRoutes">
                    <thead id="routesTableHead">
                    </thead>
                    <tbody id="routesTableBody">
                    </tbody>
                </table>
            </div>
            <div class="text-center"><button class="btn btn-success me-2" type="button" data-bs-toggle="modal" data-bs-target="#addRoute" >Добавить маршрут</button></div>
            <div class="text-center" id="nulllRoutesImage"></div>
                <div class="modal fade" id="addRoute" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                  <div class="modal-dialog">
                    <div class="modal-content">
                    <form id="formAddRoute">
                      <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Добавить маршрут</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                      </div>
                      <div class="modal-body">
                          <div class="mb-3">
                            <input type="text" class="form-control" id="inputRouteName" name="routeName" placeholder="Название маршрута">
                          </div>
                          <div class="mb-3">
                          <select class="form-select" id="inputGroupContractType" name="newRouteContractType">
                            <option selected>Выберите тип договора</option>
                            <option value="1">Аренда</option>
                            <option value="2">Поставка</option>
                            <option value="3">Возмездное оказание услуг</option>
                          </select>
                          </div>
                          <div class="mb-3">
                          <div class="accordion" id="accordionEmployeesList">
                          <div class="accordion-item">
                            <h2 class="accordion-header" id="headingOne">
                              <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                                Список сотрудников
                              </button>
                            </h2>
                            <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionEmployeesList">
                              <div class="accordion-body" id="accordionEmployeesListBody">
                                
                              </div>
                            </div>
                          </div>
                        </div>
                          </div>
                      </div>
                      <div class="modal-footer">
                        <button type="button" class="btn btn-success" onclick="addRoute()" data-bs-dismiss="modal" aria-label="Close">Добавить</button>
                      </div>
                    </form>
                    </div>
                  </div>
                </div> 
        </div>
    </div>
    </div>
    <script defer src="admin_panel.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/gh/kartik-v/bootstrap-fileinput@5.2.5/js/plugins/piexif.min.js" type="text/javascript"></script>
</body>
</html>